Bug 703785 - Connecting to WPA / EAP networks only works for the first connection attempt
Connecting to WPA / EAP networks only works for the first connection attempt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-11 05:11 EDT by Christian Krause
Modified: 2012-08-07 16:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug output of NetworkManager from /var/log/messages (3.19 KB, text/plain)
2011-05-11 05:11 EDT, Christian Krause
no flags Details

  None (edit)
Description Christian Krause 2011-05-11 05:11:43 EDT
Created attachment 498234 [details]
Debug output of NetworkManager from /var/log/messages

Description of problem:
That's a follow-up to bug https://bugzilla.redhat.com/show_bug.cgi?id=694765

Version-Release number of selected component (if applicable):
NetworkManager-0.8.999-2.git20110509.fc15


How reproducible:
100%

Steps to Reproduce:
0. ensure that there is no config file ( /etc/sysconfig/network-scripts/ifcfg-$networkname ) for the desired network
1. Connect to WPA-EAP network (PEAP, MSCHAPv2), ignore the cert warning
2. Disconnect (turn WLAN off or try to connect to another wireless network)
3. Connect again to the WPA-EAP network
  
Actual results:
- instead of connecting, the authentication dialog for this network is shown again
- re-entering the credentials etc. doesn't help, dialog is shown again and again ;-)

Expected results:
- Connecting to WPA-EAP network should work even for all following attempts

Additional info:
- as a workaround: I deleted /etc/sysconfig/network-scripts/ifcfg-$networkname and try again -> now it is possible to re-connect to this network

- I have attached the debug messages from NM during the 2nd unsuccessful connection attempt
Comment 1 Jason Montleon 2011-05-11 10:04:46 EDT
I am seeing the same problem. First attempt works, but subsequent attempts fail unless I delete the connection.
Comment 2 Paul W. Frields 2011-05-11 10:50:47 EDT
If you open the connection editor, are you finding that the password you entered on your previous, successful connection attempt is now saved?
Comment 3 Christian Krause 2011-05-11 10:54:00 EDT
The settings in general (like the selection between PEAP and TTLS) are remembered, but I haven't saved the password. I have had selected "enter password each time".

Do you need the saved config file from NM?
Comment 4 Jason Montleon 2011-05-11 11:53:27 EDT
The connection is configured to ask for the password each time, if I open the connection editor the field is blank, and no keys- file is created in /etc/sysconfig/network-scripts for the connection.

The dialog comes back very fast; it isn't even trying to make a connection.
Comment 5 Christian Krause 2011-05-30 17:44:14 EDT
Any news about this issue?

If you need anything from my side (config files, testing etc.), please let me know.
Comment 6 Dan Williams 2011-06-07 19:39:55 EDT
I believe I've fixed this upstream in commit 9cba854fa0a32022a44e922dd4e70aaaf3c00dd2
Comment 7 Christian Krause 2011-06-22 14:20:07 EDT
This update fixes the issue for me:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.9997-4.git20110620.fc15

Please can you add this bug number to the update request in bodhi? Thanks!
Comment 8 Jason Montleon 2011-06-22 15:20:29 EDT
NetworkManager-0.8.9997-4.git20110620.fc15 is working for me as well.
Comment 9 Fedora End Of Life 2012-08-07 16:19:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.